Bug 208052 - single user set ups should have more relaxed authentication requirements by default.
single user set ups should have more relaxed authentication requirements by d...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2006-09-25 23:38 EDT by n0dalus
Modified: 2015-01-14 18:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:02:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description n0dalus 2006-09-25 23:38:26 EDT
Description of problem:
As much as everyone loves the appearance of security, I think having the
screensaver lock on by default is frustrating for new users. I've lost count of
the number of times I've gone to get something to eat or been busy talking to
someone and then have had to put in my password to unlock the screen. I've
watched people in my family use Fedora and I ask them if it's frustrating to
need to keep putting in their passwords, they say it is and they hadn't even
realised there is a way to turn it off.

Most users probably don't need this security feature, so I think it should be
disabled by default.
Comment 1 Ray Strode [halfline] 2006-09-26 10:29:57 EDT
So we could keep flipping the preference every other release, but i don't think
it really buys us anything.  The preference really depends on the use case.

This sort of belongs in the same bucket as autologin, I guess.  For the
single-user case it might make sense to turn on autologin in gdm and turn off
screen locking.

Retitling.
Comment 2 n0dalus 2006-09-26 10:44:50 EDT
I don't think this has anything to do with single/multi-user. Even in multi-user
environments (for example a shared family computer, or a small office) I trust
everyone else to be able to close anything I left open and log out.

The security the screen lock provides is extremelly small, given that as long as
someone gets access within 10 minutes of you leaving they avoid the lock
entirely, and I think that security-conscious users usually know enough about
computers to find the tickbox that turns the locking on.
Comment 3 Ray Strode [halfline] 2007-04-18 14:23:42 EDT
Punting until Fedora 8.
Comment 4 Ray Strode [halfline] 2007-09-05 13:23:48 EDT
One possibility that Matthias just brought up is that we could provide a 

[x] show this dialog again

type thing like we have on gnome-keyring dialogs, etc.
Comment 5 Ray Strode [halfline] 2007-10-02 13:26:10 EDT
Not going to address this before F8.
Comment 6 Bug Zapper 2008-05-13 22:22:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Igor Pires Soares 2009-02-23 22:58:40 EST
I got a similar problem in Fedora 10.

See bug #452419:
https://bugzilla.redhat.com/show_bug.cgi?id=452419

gnome-keyring asks for password if gdm autologin is enabled. This bug has been around for a while and is really breaking NetworkManager usability for many use cases that you only need to power on and connect to a DSL network automatically.
Comment 8 Bug Zapper 2009-06-09 18:18:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 13:02:06 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.